<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->
<script>
	import { user } from '../user_data.js'
	import { goto } from '$app/navigation';

	function submit() {
		console.log("Inscription...")
		goto("/connexion");
	}

	function togglePasswords() {
		var pwd = document.getElementById("pwd");
		var pwd2 = document.getElementById("pwd2");
		if (pwd.type === "password" && pwd2.type === pwd.type) {
    		pwd.type = pwd2.type = "text";
		} else {
			pwd.type = pwd2.type = "password";
		}
	} 
</script>

<svelte:head>
	<title>Connectez-vous !</title>
</svelte:head>

<div class="content">
	<h1>Créez votre compte 🐶</h1> 
	<div class="input-group mb-3">
		<div class="input-group-prepend">
		    <span class="input-group-text">🧔🏻</span>
		</div>
		<input type="text" class=" form-control" placeholder="NOM Prénom">
	</div>
	<div class="input-group mb-3">
		<div class="input-group-prepend">
		    <span class="input-group-text">📫</span>
		</div>
		<input type="text" class=" form-control" placeholder="Adresse postale">
	</div>
	<div class="input-group mb-3">
		<div class="input-group-prepend">
		    <span class="input-group-text">📧</span>
		</div>
		<input type="text" class=" form-control" placeholder="Courriel@exemple.com">
	</div>
	<div class="input-group mb-3">
		<div class="input-group-prepend">
			<span class="input-group-text">🔑</span>
		</div>
		<input id="pwd" type="password" class=" form-control" placeholder="Mot de Passe">
	</div>
	<div class="input-group mb-3">
		<div class="input-group-prepend">
			<span class="input-group-text">🔑🔑</span>
		</div>
		<input id="pwd2" type="password" class=" form-control" placeholder="Confirmation du Mot de Passe">
	</div>
	<input type="checkbox" on:click={togglePasswords}> <b> Afficher les mots de passe en clair </b>
	<div>
		<button class="btn btn-primary formBtn" on:click={submit}> S'inscrire </button>
	</div>

</div>

<style>

	h1{
		color: #000;
		margin-top: 0;
	}

	.content {
		min-height: 100vh;
		margin: auto;
		padding:10%;
		width: 100%;
	}

	.formBtn{
		width: 100%;
		margin: auto;
	}

	img{
	    width:100%;
	    max-width:600px;
	    margin: 0 auto 0;
    	display: block;
	}

</style>
